Subject: Re: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: David De La Harpe Golden <[email-masked]>
Date: Mon, 02 Aug 2010 23:26:42 +0100

...Oh, guess I went round in a big circle...
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=902#80
 > maybe it should be copying and  "holding" as a string the selection 
before a command runs
 > ...
 > OTOH, that sounds more complex, and such cases don't seem to arise 
much (or at all) in practice - at least I haven't noticed them.

... d'oh!

I'm certainly becoming concerned these contortions to preserve some 
laziness may be worse than just accepting a requirement to update a 
string selection where necessary and its overhead.

Humph ...do we have copy-on-write buffers...